Index: palm/trunk/SOURCE/bulk_cloud_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 4541)
+++ palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 4542)
@@ -4231,6 +4156,5 @@
           CALL supersaturation ( i, j, k )
 !
-!--       Prescribe parameters for activation
-!--       (see: Bott + Trautmann, 2002, Atm. Res., 64)
+!--       Prescribe parameters for activation (see: Bott + Trautmann, 2002, Atm. Res., 64)
           k_act  = 0.7_wp
           activ  = 0.0_wp
@@ -4250,38 +4174,34 @@
 !--          (see: Khairoutdinov + Kogan, 2000, Mon. Wea. Rev., 128)
              sat_max = 0.8_wp / 100.0_wp
-             activ   = MAX( 0.0_wp, ( (na_init + nc(k,j,i) ) * MIN             &
-                 ( 1.0_wp, ( sat / sat_max )**k_act) - nc(k,j,i) ) ) /         &
-                  dt_micro
+             activ   = MAX( 0.0_wp, ( (na_init + nc(k,j,i) ) *                                     &
+                       MIN( 1.0_wp, ( sat / sat_max )**k_act) - nc(k,j,i) ) ) / dt_micro
 
              nc(k,j,i) = MIN( (nc(k,j,i) + activ * dt_micro), na_init)
-          ELSEIF ( sat > 0.0 .AND. curvature_solution_effects_bulk )  THEN
-!
-!--          Curvature effect (afactor) with surface tension
-!--          parameterization by Straka (2009)
+          ELSEIF ( sat > 0.0  .AND.  curvature_solution_effects_bulk )  THEN
+!
+!--          Curvature effect (afactor) with surface tension parameterization by Straka (2009)
              sigma = 0.0761_wp - 0.000155_wp * ( t_l - 273.15_wp )
              afactor = 2.0_wp * sigma / ( rho_l * r_v * t_l )
 !
 !--          Solute effect (bfactor)
-             bfactor = vanthoff * molecular_weight_of_water *                  &
-                  rho_s / ( molecular_weight_of_solute * rho_l )
-
-!
-!--          Prescribe power index that describes the soluble fraction
-!--          of an aerosol particle (beta).
-!--          (see: Morrison + Grabowski, 2007, JAS, 64)
+             bfactor = vanthoff * molecular_weight_of_water * rho_s /                              &
+                       ( molecular_weight_of_solute * rho_l )
+
+!
+!--          Prescribe power index that describes the soluble fraction of an aerosol particle
+!--          (beta). (see: Morrison + Grabowski, 2007, JAS, 64)
              beta_act  = 0.5_wp
              sigma_act = sigma_bulk**( 1.0_wp + beta_act )
 !
-!--          Calculate mean geometric supersaturation (s_0) with
-!--          parameterization by Khvorostyanov and Curry (2006)
-             s_0   = dry_aerosol_radius **(- ( 1.0_wp + beta_act ) ) *         &
-               ( 4.0_wp * afactor**3 / ( 27.0_wp * bfactor ) )**0.5_wp
-
-!
-!--          Calculate number of activated CCN as a function of
-!--          supersaturation and taking Koehler theory into account
-!--          (see: Khvorostyanov + Curry, 2006, J. Geo. Res., 111)
-             n_ccn = ( na_init / 2.0_wp ) * ( 1.0_wp - ERF(                    &
-                LOG( s_0 / sat ) / ( SQRT(2.0_wp) * LOG(sigma_act) ) ) )
+!--          Calculate mean geometric supersaturation (s_0) with parameterization by Khvorostyanov
+!--          and Curry (2006)
+             s_0   = dry_aerosol_radius **(- ( 1.0_wp + beta_act ) ) *                             &
+                     ( 4.0_wp * afactor**3 / ( 27.0_wp * bfactor ) )**0.5_wp
+
+!
+!--          Calculate number of activated CCN as a function of supersaturation and taking Koehler
+!--          theory into account (see: Khvorostyanov + Curry, 2006, J. Geo. Res., 111)
+             n_ccn = ( na_init / 2.0_wp ) * ( 1.0_wp - ERF(                                        &
+                     LOG( s_0 / sat ) / ( SQRT(2.0_wp) * LOG(sigma_act) ) ) )
              activ = MAX( ( n_ccn ) / dt_micro, 0.0_wp )
 
@@ -4293,10 +4213,10 @@
     END SUBROUTINE activation_ij
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Calculate ice nucleation by applying the deposition-condensation formula as
-!> given by Meyers et al 1992 and as described in Seifert and Beheng 2006
-!------------------------------------------------------------------------------!
+!> Calculate ice nucleation by applying the deposition-condensation formula as given by
+!> Meyers et al 1992 and as described in Seifert and Beheng 2006
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE ice_nucleation
 
@@ -4326,5 +4246,5 @@
                    CALL supersaturation_ice ( i, j, k )
                    nucle = 0.0_wp
-                   IF ( sat_ice >= 0.05_wp  .OR.  ql(k,j,i) >= 0.001E-3_wp  ) THEN
+                   IF ( sat_ice >= 0.05_wp  .OR.  ql(k,j,i) >= 0.001E-3_wp  )  THEN
 !
 !--                   Calculate ice nucleation
@@ -4364,10 +4284,10 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Calculate ice nucleation by applying the deposition-condensation formula as
-!> given by Meyers et al 1992 and as described in Seifert and Beheng 2006
-!------------------------------------------------------------------------------!
+!> Calculate ice nucleation by applying the deposition-condensation formula as given by
+!> Meyers et al 1992 and as described in Seifert and Beheng 2006.
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE ice_nucleation_ij( i, j )
 
@@ -4393,5 +4313,5 @@
              CALL supersaturation_ice ( i, j, k )
              nucle = 0.0_wp
-             IF ( sat_ice >= 0.05_wp  .OR.  ql(k,j,i) >= 0.001E-3_wp ) THEN
+             IF ( sat_ice >= 0.05_wp  .OR.  ql(k,j,i) >= 0.001E-3_wp )  THEN
 !
 !--             Calculate ice nucleation
@@ -4409,5 +4329,5 @@
              CALL supersaturation_ice ( i, j, k )
              nucle = 0.0_wp
-             IF ( sat_ice > 0.0 ) THEN
+             IF ( sat_ice > 0.0 )  THEN
 !
 !--             Calculate ice nucleation
@@ -4422,10 +4342,9 @@
     END SUBROUTINE ice_nucleation_ij
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Calculate condensation rate for cloud water content (after Khairoutdinov and
-!> Kogan, 2000).
-!------------------------------------------------------------------------------!
+!> Calculate condensation rate for cloud water content (after Khairoutdinov and Kogan, 2000).
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE condensation
 
@@ -4455,9 +4374,8 @@
                 flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
 !
-!--             Call calculation of supersaturation 
+!--             Call calculation of supersaturation
                 CALL supersaturation ( i, j, k )
 !
-!--             Actual temperature, t_l is calculated directly before
-!--             in supersaturation
+!--             Actual temperature, t_l is calculated directly before in supersaturation
                 IF ( microphysics_ice_phase ) THEN
                    temp = t_l + lv_d_cp * ql(k,j,i) + ls_d_cp * qi(k,j,i)
@@ -4466,8 +4384,8 @@
                 ENDIF
 
-                g_fac  = 1.0_wp / ( ( l_v / ( r_v * temp ) - 1.0_wp ) *        &
-                                    l_v / ( thermal_conductivity_l * temp )    &
-                                    + r_v * temp / ( diff_coeff_l * e_s )      &
-                                    )
+                g_fac  = 1.0_wp / ( ( l_v / ( r_v * temp ) - 1.0_wp ) *                            &
+                                      l_v / ( thermal_conductivity_l  * temp )                     &
+                                    + r_v * temp / ( diff_coeff_l * e_s )                          &
+                                  )
 !
 !--             Mean weight of cloud drops
@@ -4475,12 +4393,12 @@
 !
 !--             Calculating mean radius of cloud droplets assuming gamma distribution with shape
-!--             parameter nu=1 (Seifert and Beheng, 2006). Tuning factor alpha_rc (intorduced
-!--             in Seifert and Stevens, 2010 ) is switched off. Minimum radius is set to 1Âµm
+!--             parameter nu=1 (Seifert and Beheng, 2006). Tuning factor alpha_rc (introduced
+!--             in Seifert and Stevens, 2010 ) is switched off. Minimum radius is set to 1ÃÂµm
 !--             following (Seifert and Beheng, 2006, Kogan and Khairoutdinov, 2000,
 !--             Seifert and Stevens, 2010)
-                rc = MAX( alpha_rc  * GAMMA(nu + 1.33_wp) / GAMMA(nu + 1.0_wp) *                   &
-                        ( 3.0_wp * qc(k,j,i) /                                                     &
+                rc = MAX( alpha_rc  * GAMMA( nu + 1.33_wp ) / GAMMA( nu + 1.0_wp ) *               &
+                          ( 3.0_wp * qc(k,j,i) /                                                   &
                                    ( 4.0_wp * pi * rho_l  * ( nu + 2.0_wp ) * nc(k,j,i) )          &
-                        )**0.33_wp, 1.0E-6_wp )
+                          )**0.33_wp, 1.0E-6_wp )
 !
 !--             Condensation needs only to be calculated in supersaturated regions
@@ -4491,13 +4409,13 @@
 !--                2007, and Seifert and Stevens, 2010)
                    cond      = 4.0_wp * pi * nc(k,j,i) * g_fac * sat * rc / hyrho(k)
-                   IF ( microphysics_seifert ) THEN
+                   IF ( microphysics_seifert )  THEN
                       cond_max  = q(k,j,i) - q_s - qc(k,j,i) - qr(k,j,i)
-                   ELSEIF ( microphysics_morrison_no_rain ) THEN
-                      cond_max  = q(k,j,i) - q_s - qc(k,j,i) 
+                   ELSEIF ( microphysics_morrison_no_rain )  THEN
+                      cond_max  = q(k,j,i) - q_s - qc(k,j,i)
                    ENDIF
                    cond      = MIN( cond, cond_max / dt_micro )
 
                    qc(k,j,i) = qc(k,j,i) + cond * dt_micro * flag
-                ELSEIF ( sat < 0.0_wp ) THEN
+                ELSEIF ( sat < 0.0_wp )  THEN
                    evap      = 4.0_wp * pi * nc(k,j,i) * g_fac * sat * rc / hyrho(k)
                    evap      = MAX( evap, -qc(k,j,i) / dt_micro )
@@ -4516,10 +4434,9 @@
     END SUBROUTINE condensation
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Calculate condensation rate for cloud water content (after Khairoutdinov and
-!> Kogan, 2000).
-!------------------------------------------------------------------------------!
+!> Calculate condensation rate for cloud water content (after Khairoutdinov and Kogan, 2000).
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE condensation_ij( i, j )
 
@@ -4548,6 +4465,5 @@
           CALL supersaturation ( i, j, k )
 !
-!--       Actual temperature, t_l is calculated directly before
-!--       in supersaturation
+!--       Actual temperature, t_l is calculated directly before in supersaturation
           IF ( microphysics_ice_phase ) THEN
              temp = t_l + lv_d_cp * ql(k,j,i) + ls_d_cp * qi(k,j,i)
@@ -4556,19 +4472,19 @@
           ENDIF
 
-          g_fac  = 1.0_wp / ( ( l_v / ( r_v * temp ) - 1.0_wp ) *              &
-                              l_v / ( thermal_conductivity_l * temp )          &
-                              + r_v * temp / ( diff_coeff_l * e_s )            &
+          g_fac  = 1.0_wp / ( ( l_v / ( r_v * temp ) - 1.0_wp ) *                                  &
+                                l_v / ( thermal_conductivity_l  * temp )                           &
+                              + r_v * temp / ( diff_coeff_l * e_s )                                &
                             )
 !
 !--       Mean weight of cloud drops
-          IF ( nc(k,j,i) <= 0.0_wp) CYCLE
+          IF ( nc(k,j,i) <= 0.0_wp)  CYCLE
 !
 !--       Calculating mean radius of cloud droplets assuming gamma distribution with shape
-!--       parameter nu=1 (Seifert and Beheng, 2006). Tuning factor alpha_rc (intorduced
-!--       in Seifert and Stevens, 2010 ) is switched off. Minimum radius is set to 1Âµm following
+!--       parameter nu=1 (Seifert and Beheng, 2006). Tuning factor alpha_rc (introduced
+!--       in Seifert and Stevens, 2010 ) is switched off. Minimum radius is set to 1ÃÂµm following
 !--       (Seifert and Beheng, 2006, Kogan and Khairoutdinov, 2000, Seifert and Stevens, 2010)
-          rc = MAX( alpha_rc  * GAMMA(nu + 1.33_wp) / GAMMA(nu + 1.0_wp) *                         &
-               ( 3.0_wp * qc(k,j,i) / ( 4.0_wp * pi * rho_l  * ( nu + 2.0_wp ) * nc(k,j,i) )       &
-               )**0.33_wp, 1.0E-6_wp )
+          rc = MAX( alpha_rc  * GAMMA( nu + 1.33_wp ) / GAMMA( nu + 1.0_wp ) *                     &
+                    ( 3.0_wp * qc(k,j,i) / ( 4.0_wp * pi * rho_l  * ( nu + 2.0_wp ) * nc(k,j,i) )  &
+                  )**0.33_wp, 1.0E-6_wp )
 !
 !--       Condensation needs only to be calculated in supersaturated regions
@@ -4579,13 +4495,13 @@
 !--          and Seifert and Stevens, 2010)
              cond      = 4.0_wp * pi * nc(k,j,i) * g_fac * sat * rc / hyrho(k)
-             IF ( microphysics_seifert ) THEN
+             IF ( microphysics_seifert )  THEN
                 cond_max  = q(k,j,i) - q_s - qc(k,j,i) - qr(k,j,i)
-             ELSEIF ( microphysics_morrison_no_rain ) THEN
-                cond_max  = q(k,j,i) - q_s - qc(k,j,i) 
+             ELSEIF ( microphysics_morrison_no_rain )  THEN
+                cond_max  = q(k,j,i) - q_s - qc(k,j,i)
              ENDIF
              cond      = MIN( cond, cond_max / dt_micro )
 
              qc(k,j,i) = qc(k,j,i) + cond * dt_micro * flag
-          ELSEIF ( sat < 0.0_wp ) THEN
+          ELSEIF ( sat < 0.0_wp )  THEN
              evap      = 4.0_wp * pi * nc(k,j,i) * g_fac * sat * rc / hyrho(k)
              evap      = MAX( evap, -qc(k,j,i) / dt_micro )
@@ -4597,10 +4513,9 @@
     END SUBROUTINE condensation_ij
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Calculate the growth of ice particles by water vapor deposition (after
-!> Seifert and Beheng, 2006).
-!------------------------------------------------------------------------------!
+!> Calculate the growth of ice particles by water vapor deposition (after Seifert and Beheng, 2006).
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE ice_deposition
 
@@ -4611,14 +4526,13 @@
        REAL(wp) ::  ac = 0.09_wp        !< parameter for ice capacitance
        REAL(wp) ::  bc = 0.33_wp        !< parameter for ice capacitance
-       REAL(wp) ::  fac_gamma = 0.76_wp !< parameter to describe spectral
-                                        !< distribution, here following gamma
-                                        !< size distribution with Âµ =1/3 and nu=0
        REAL(wp) ::  deposition_rate     !< depositions rate
        REAL(wp) ::  deposition_rate_max !< maximum deposition rate
+       REAL(wp) ::  fac_gamma = 0.76_wp !< parameter to describe spectral distribution, here
+                                        !< following gamma size distribution with Âµ =1/3 and nu=0
+       REAL(wp) ::  flag                !< flag to indicate first grid level above
+       REAL(wp) ::  gfac_dep            !< factor
        REAL(wp) ::  sublimation_rate    !< sublimations rate
-       REAL(wp) ::  gfac_dep            !< factor
        REAL(wp) ::  temp                !< actual temperature
        REAL(wp) ::  xi                  !< mean mass of ice crystal
-       REAL(wp) ::  flag                !< flag to indicate first grid level above
 
        CALL cpu_log( log_point_s(95), 'ice deposition', 'start' )
@@ -4637,16 +4551,14 @@
                 temp = t_l + lv_d_cp * ql(k,j,i) + ls_d_cp * qi(k,j,i)
 
-                IF ( temp >= 273.15_wp ) CYCLE
-!
-!--             calculating gfac_dep ( 1/ (Fk + Fd) ) see e.g.
-!--             Rogers and Yau, 1989
-                gfac_dep  = 1.0_wp / ( ( l_s / ( r_v * temp ) - 1.0_wp ) *     &
-                                    l_s / ( thermal_conductivity_l * temp )    &
-                                    + r_v * temp / ( diff_coeff_l * e_si )     &
-                                    )
-!
-!--             If there is nothing nucleated, than there is also no
-!--             deposition (above -38Â°C)
-                IF ( ni(k,j,i) <= 0.0_wp ) CYCLE
+                IF ( temp >= 273.15_wp )  CYCLE
+!
+!--             calculating gfac_dep ( 1/ (Fk + Fd) ) see e.g. Rogers and Yau, 1989
+                gfac_dep  = 1.0_wp / ( ( l_s / ( r_v * temp ) - 1.0_wp ) *                         &
+                                         l_s / ( thermal_conductivity_l  * temp )                  &
+                                    + r_v * temp / ( diff_coeff_l * e_si )                         &
+                                     )
+!
+!--             If there is nothing nucleated, than there is also no deposition (above -38Â°C)
+                IF ( ni(k,j,i) <= 0.0_wp )  CYCLE
 !
 !--             calculate mean mass of ice crystal
@@ -4654,30 +4566,23 @@
                 xi = MAX( ( qi(k,j,i) * hyrho(k) / ni(k,j,i)), ximin )
 !
-!--             Condensation needs only to be calculated in supersaturated
-!--             regions (regarding ice)
+!--             Condensation needs only to be calculated in supersaturated regions (regarding ice)
                 IF ( sat_ice > 0.0_wp )  THEN
 !
-!--                Calculate deposition rate assuming ice crystal shape as
-!--                prescribed in Ovchinnikov et al., 2014 and a gamma size
-!--                distribution according to Seifert and Beheng with to
-!--                Âµ =1/3 and nu=0
-                   deposition_rate  = 4.0_wp * pi * sat_ice * gfac_dep *       &
-                                      fac_gamma * ac * xi**bc * ni(k,j,i)
-                   IF ( microphysics_seifert ) THEN
-                      deposition_rate_max  = q(k,j,i) -                        &
-                                             q_si - qr(k,j,i) - qi(k,j,i)
+!--                Calculate deposition rate assuming ice crystal shape as prescribed in
+!--                Ovchinnikov et al., 2014 and a gamma size distribution according to
+!--                Seifert and Beheng with Âµ =1/3 and nu=0
+                   deposition_rate  = 4.0_wp * pi * sat_ice * gfac_dep * fac_gamma * ac * xi**bc * &
+                                      ni(k,j,i)
+                   IF ( microphysics_seifert )  THEN
+                      deposition_rate_max  = q(k,j,i) - q_si - qr(k,j,i) - qi(k,j,i)
                    ELSEIF ( microphysics_morrison_no_rain ) THEN
-                      deposition_rate_max  = q(k,j,i) -                        &
-                                             q_si - qc(k,j,i) - qi(k,j,i)
+                      deposition_rate_max  = q(k,j,i) - q_si - qc(k,j,i) - qi(k,j,i)
                    ENDIF
-                   deposition_rate = MIN( deposition_rate,                     &
-                                          deposition_rate_max / dt_micro )
-
+                   deposition_rate = MIN( deposition_rate, deposition_rate_max / dt_micro )
                    qi(k,j,i) = qi(k,j,i) + deposition_rate * dt_micro * flag
-                ELSEIF ( sat_ice < 0.0_wp ) THEN
-                   sublimation_rate = 4.0_wp * pi * sat_ice * gfac_dep *       &
-                                      fac_gamma * ac * xi**bc * ni(k,j,i)
-                   sublimation_rate = MAX( sublimation_rate,                   &
-                                           -qi(k,j,i) / dt_micro )
+                ELSEIF ( sat_ice < 0.0_wp )  THEN
+                   sublimation_rate = 4.0_wp * pi * sat_ice * gfac_dep * fac_gamma * ac * xi**bc * &
+                                      ni(k,j,i)
+                   sublimation_rate = MAX( sublimation_rate, - qi(k,j,i) / dt_micro )
                    qi(k,j,i) = qi(k,j,i) + sublimation_rate * dt_micro * flag
                 ENDIF
@@ -4690,10 +4595,9 @@
     END SUBROUTINE ice_deposition
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Calculate condensation rate for cloud water content (after Khairoutdinov and
-!> Kogan, 2000).
-!------------------------------------------------------------------------------!
+!> Calculate condensation rate for cloud water content (after Khairoutdinov and Kogan, 2000).
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE ice_deposition_ij( i, j )
 
@@ -4704,14 +4608,13 @@
        REAL(wp) ::  ac = 0.09_wp        !< parameter for ice capacitance
        REAL(wp) ::  bc = 0.33_wp        !< parameter for ice capacitance
-       REAL(wp) ::  fac_gamma = 0.76_wp !< parameter to describe spectral
-                                        !< distribution, here following gamma
-                                        !< size distribution with nu=1, v=0
        REAL(wp) ::  deposition_rate     !< depositions rate
        REAL(wp) ::  deposition_rate_max !< maximum deposition rate
+       REAL(wp) ::  fac_gamma = 0.76_wp !< parameter to describe spectral distribution, here
+                                        !< following gamma size distribution with nu=1, v=0
+       REAL(wp) ::  flag                !< flag to indicate first grid level above
+       REAL(wp) ::  gfac_dep            !< factor
        REAL(wp) ::  sublimation_rate    !< sublimations rate
-       REAL(wp) ::  gfac_dep            !< factor
        REAL(wp) ::  temp                !< actual temperature
        REAL(wp) ::  xi                  !< mean mass of ice crystal
-       REAL(wp) ::  flag                !< flag to indicate first grid level above
 
        DO  k = nzb+1, nzt
@@ -4721,21 +4624,20 @@
 !
 !--       Call calculation of supersaturation over a plane ice surface
-          CALL supersaturation_ice ( i, j, k )
+          CALL supersaturation_ice (i,j,k)
 !
 !--       Actual temperature:
           temp = t_l + lv_d_cp * ql(k,j,i) + ls_d_cp * qi(k,j,i)
 
-          IF ( temp >= 273.15_wp ) CYCLE
+          IF ( temp >= 273.15_wp )  CYCLE
 !
 !--       calculating gfac_dep ( 1/ (Fk + Fd) ) see e.g.
 !--       Rogers and Yau, 1989
-          gfac_dep  = 1.0_wp / ( ( l_s / ( r_v * temp ) - 1.0_wp ) *           &
-                              l_s / ( thermal_conductivity_l * temp )          &
-                              + r_v * temp / ( diff_coeff_l * e_si )           &
-                              )
-!
-!--       If there is nothing nucleated, than there is also no
-!--       deposition (above -38Â°C)
-          IF ( ni(k,j,i) <= 0.0_wp ) CYCLE
+          gfac_dep  = 1.0_wp / ( ( l_s / ( r_v * temp ) - 1.0_wp ) *                               &
+                                   l_s / ( thermal_conductivity_l  * temp )                        &
+                                 + r_v * temp / ( diff_coeff_l * e_si )                            &
+                               )
+!
+!--       If there is nothing nucleated, than there is also no deposition (above -38Â°C)
+          IF ( ni(k,j,i) <= 0.0_wp )  CYCLE
 !
 !--       calculate mean mass of ice crystal
@@ -4743,30 +4645,24 @@
           xi = MAX( ( qi(k,j,i) * hyrho(k) / ni(k,j,i)), ximin )
 !
-!--       Condensation needs only to be calculated in supersaturated
-!--       regions (regarding ice)
+!--       Condensation needs only to be calculated in supersaturated regions (regarding ice)
           IF ( sat_ice > 0.0_wp )  THEN
 !
-!--          Calculate deposition rate assuming ice crystal shape as
-!--          prescribed in Ovchinnikov et al., 2014 and a gamma size
-!--          distribution according to Seifert and Beheng with to
-!--          Âµ =1/3 and nu=0
-             deposition_rate  = 4.0_wp * pi * sat_ice * gfac_dep *             &
-                                fac_gamma * ac * xi**bc * ni(k,j,i)
-             IF ( microphysics_seifert ) THEN
-                deposition_rate_max  = q(k,j,i) -                              &
-                                       q_si - qr(k,j,i) - qi(k,j,i)
-             ELSEIF ( microphysics_morrison_no_rain ) THEN
-                deposition_rate_max  = q(k,j,i) -                              &
-                                       q_si - qc(k,j,i) - qi(k,j,i)
-             ENDIF
-             deposition_rate = MIN( deposition_rate,                           &
-                                    deposition_rate_max / dt_micro )
+!--          Calculate deposition rate assuming ice crystal shape as prescribed in
+!--          Ovchinnikov et al., 2014 and a gamma size distribution according to
+!--          Seifert and Beheng with Âµ =1/3 and nu=0
+             deposition_rate  = 4.0_wp * pi * sat_ice * gfac_dep * fac_gamma * ac * xi**bc *       &
+                                ni(k,j,i)
+             IF ( microphysics_seifert )  THEN
+                deposition_rate_max  = q(k,j,i) - q_si - qr(k,j,i) - qi(k,j,i)
+             ELSEIF ( microphysics_morrison_no_rain )  THEN
+                deposition_rate_max  = q(k,j,i) - q_si - qc(k,j,i) - qi(k,j,i)
+             ENDIF
+             deposition_rate = MIN( deposition_rate, deposition_rate_max / dt_micro )
 
              qi(k,j,i) = qi(k,j,i) + deposition_rate * dt_micro * flag
-          ELSEIF ( sat_ice < 0.0_wp ) THEN
-             sublimation_rate = 4.0_wp * pi * sat_ice * gfac_dep *             &
-                                fac_gamma * ac * xi**bc * ni(k,j,i)
-             sublimation_rate = MAX( sublimation_rate,                         &
-                                     -qi(k,j,i) / dt_micro )
+          ELSEIF ( sat_ice < 0.0_wp )  THEN
+             sublimation_rate = 4.0_wp * pi * sat_ice * gfac_dep * fac_gamma * ac * xi**bc *       &
+                                ni(k,j,i)
+             sublimation_rate = MAX( sublimation_rate, - qi(k,j,i) / dt_micro )
              qi(k,j,i) = qi(k,j,i) + sublimation_rate * dt_micro * flag
           ENDIF
@@ -4776,9 +4672,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Autoconversion rate (Seifert and Beheng, 2006).
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE autoconversion
 
@@ -4814,5 +4710,5 @@
                 flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
-                IF ( microphysics_morrison ) THEN
+                IF ( microphysics_morrison )  THEN
                    nc_auto = nc(k,j,i)
                 ELSE
@@ -4826,11 +4722,9 @@
 !--                Intern time scale of coagulation (Seifert and Beheng, 2006):
 !--                (1.0_wp - qc(k,j,i) / ( qc(k,j,i) + qr(k,j,i) ))
-                   tau_cloud = MAX( 1.0_wp - qc(k,j,i) / ( qr(k,j,i) +         &
-                                    qc(k,j,i) ), 0.0_wp )
+                   tau_cloud = MAX( 1.0_wp - qc(k,j,i) / ( qr(k,j,i) + qc(k,j,i) ), 0.0_wp )
 !
 !--                Universal function for autoconversion process
 !--                (Seifert and Beheng, 2006):
-                   phi_au = 600.0_wp * tau_cloud**0.68_wp *                    &
-                            ( 1.0_wp - tau_cloud**0.68_wp )**3
+                   phi_au = 600.0_wp * tau_cloud**0.68_wp * ( 1.0_wp - tau_cloud**0.68_wp )**3
 !
 !--                Shape parameter of gamma distribution (Geoffroy et al., 2010):
@@ -4839,8 +4733,8 @@
 !
 !--                Mean weight of cloud droplets:
-                   xc = MAX( hyrho(k) * qc(k,j,i) / nc_auto, xcmin) 
-!
-!--                Parameterized turbulence effects on autoconversion (Seifert,
-!--                Nuijens and Stevens, 2010)
+                   xc = MAX( hyrho(k) * qc(k,j,i) / nc_auto, xcmin)
+!
+!--                Parameterized turbulence effects on autoconversion
+!--                (Seifert, Nuijens and Stevens, 2010)
                    IF ( collision_turbulence )  THEN
 !
